/* Sidebar Styles */

#sidebar {
    z-index: 1000;
    position: fixed;
    left: 250px;
    width: 250px;
    height: 100%;
    margin-left: -250px;
    overflow-y: auto;
    background: #fff;
    /* -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease; */
    box-shadow: 7px 0px 20px #0000001A;
}

#sidebar header {
    background-color: transparent;
    line-height: normal;
    text-align: center;
}

#sidebar header a {
    color: #153A5B;
    display: block;
    text-decoration: none;
}
  
#sidebar header a:hover {
    color: #153A5B;
}

#sidebar ul {
	margin-top: 20%;
}
  
#sidebar ul li {
	background: none;
	color: #153A5B;
	font-size: 15px;
	line-height: 60px;
	display: block;
}

#sidebar ul a {
    color: #153A5B;
	font-size: 15px;
}
  
#sidebar ul a:hover{
    background: none;
    color: #153A5B;
}

#sidebar ul a i{
    margin-right: 16px;
}

#sidebar footer {
    position: absolute;
    bottom: 20px;
    right: 20px;
    left: 20px;
    padding-top: 20px;
}

#sidebar .btn-secondary {
    color: #000;
    background-color: transparent;
    border-color: transparent;
    width: 66%;
    padding-right: 0;
    box-shadow: none;
}

#sidebar .btn-secondary img {
    width: 10%;
    height: auto;
    float: right;
}

#sidebar .btn-secondary:not(:disabled):not(.disabled).active:focus, #sidebar .btn-secondary:not(:disabled):not(.disabled):active:focus, #sidebar .show>.btn-secondary.dropdown-toggle:focus {
    box-shadow: none;
}

.dropdown-toggle::after {
    display: none!important;
}

.dropdown-toggle::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
}

#sidebar .dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    min-width: 10rem;
    padding: 0;
    margin: 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 0;
    border-radius: 0;
    max-height: 360px;
    overflow-y: scroll;
}

#sidebar .dropdown-menu a {
    background: none;
    color: #000;
    font-size: 15px;
    line-height: 35px;
    display: block;
}

#sidebar .second-dropdown .dropdown-menu {
    position: relative!important;
    top: 100%!important;
    left: 0!important;
    z-index: 1000;
    float: left;
    min-width: 10rem;
    padding: 0;
    margin: 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 0;
    border-radius: 0;
    max-height: none;
    overflow-y: auto;
    overflow-x: hidden;
    transform: none!important;
}

#sidebar .second-dropdown .dropdown-item {
    display: block;
    width: 100%;
    padding: 2px 0;
    clear: both;
    font-weight: 400;
    color: #153A5B;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
}

@media (max-width: 767px) {
    #sidebar {
        display: none;
    }

    #viewport {
        padding-left: 0;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    #sidebar {
        left: 200px;
        width: 210px;
        height: 100%;
        margin-left: -200px;
    }

    #sidebar ul a, #sidebar ul li {
        font-size: 16px;
        line-height: 50px;
    }

    #sidebar .dropdown-menu {
        top: 0px;
        left: 0px!important;
        max-width: 12rem;
        min-width: 12rem;
    }

    #sidebar .dropdown-item {
        padding-left: 0;
    }

    #sidebar .btn-secondary {
        width: 50%;
    }

    #sidebar .btn-secondary img {
        width: 20%;
    }

    #sidebar ul {
        margin-top: 20%;
        max-height: 70vh;
        overflow-y: auto;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    #sidebar .dropdown-menu {
        max-height: 370px!important;
        overflow-y: scroll!important;
        left: -10px!important;
        min-width: 100%!important;
    }

    #sidebar ul {
        margin-top: 10%;
        max-height: 64vh;
        overflow-y: auto;
    }

    #sidebar ul li {
        font-size: 15px;
        line-height: 50px;
    }

    .payment-settings .light-grey-icon i {
        font-size: 30px;
    }
}

@media (min-width: 1200px) and (max-width: 1600px) {
    #sidebar ul {
        margin-top: 4%;
        max-height: 390px;
        overflow-y: auto;
    }

    #sidebar .btn-secondary {
        width: 64%;
    }

    #sidebar ul li {
        line-height: 45px;
    }
}